PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
plask::RectangularMaskedMesh3D::Element Class Reference

`#include <plask/mesh/rectangular_masked3d.hpp>`

## Public Types
enum | : std::size_t { UNKNOWN_ELEMENT_INDEX = std::numeric_limits<std::size_t>::max() }

## Public Member Functions
| Element (const RectangularMaskedMesh3D &maskedMesh, std::size_t elementIndex, std::size_t index0, std::size_t index1, std::size_t index2)
| Element (const RectangularMaskedMesh3D &maskedMesh, std::size_t elementIndex, std::size_t elementIndexOfFullMesh)
| Element (const RectangularMaskedMesh3D &maskedMesh, std::size_t elementIndex)
std::size_t | getIndex0 () const
std::size_t | getIndex1 () const
std::size_t | getIndex2 () const
std::size_t | getLowerIndex0 () const
std::size_t | getLowerIndex1 () const
std::size_t | getLowerIndex2 () const
double | getLower0 () const
double | getLower1 () const
double | getLower2 () const
std::size_t | getUpperIndex0 () const
std::size_t | getUpperIndex1 () const
std::size_t | getUpperIndex2 () const
double | getUpper0 () const
double | getUpper1 () const
double | getUpper2 () const
double | getSize0 () const
double | getSize1 () const
double | getSize2 () const
Vec< 3, double > | getSize () const
Vec< 3, double > | getMidpoint () const
std::size_t | getIndex () const
Box3D | toBox () const
double | getVolume () const
double | getArea () const
std::size_t | getLoLoLoIndex () const
std::size_t | getUpLoLoIndex () const
std::size_t | getLoUpLoIndex () const
std::size_t | getUpUpLoIndex () const
std::size_t | getLoLoUpIndex () const
std::size_t | getUpLoUpIndex () const
std::size_t | getLoUpUpIndex () const
std::size_t | getUpUpUpIndex () const
Vec< 3, double > | getLoLoLo () const
Vec< 3, double > | getUpLoLo () const
Vec< 3, double > | getLoUpLo () const
Vec< 3, double > | getUpUpLo () const
Vec< 3, double > | getLoLoUp () const
Vec< 3, double > | getUpLoUp () const
Vec< 3, double > | getLoUpUp () const
Vec< 3, double > | getUpUpUp () const

## Detailed Description

Definition at line 68 of file rectangular_masked3d.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum : std::size_t

Enumerator
UNKNOWN_ELEMENT_INDEX |

Definition at line 1 of file rectangular_masked3d.hpp.

## Constructor & Destructor Documentation

## ◆ Element() [1/3]

plask::RectangularMaskedMesh3D::Element::Element | ( | const RectangularMaskedMesh3D & | maskedMesh,
|  | std::size_t | elementIndex,
|  | std::size_t | index0,
|  | std::size_t | index1,
|  | std::size_t | index2
| ) |  |
| inline

Definition at line 84 of file rectangular_masked3d.hpp.

## ◆ Element() [2/3]

plask::RectangularMaskedMesh3D::Element::Element | ( | const RectangularMaskedMesh3D & | maskedMesh,
|  | std::size_t | elementIndex,
|  | std::size_t | elementIndexOfFullMesh
| ) |  |
| inline

Definition at line 89 of file rectangular_masked3d.hpp.

## ◆ Element() [3/3]

plask::RectangularMaskedMesh3D::Element::Element | ( | const RectangularMaskedMesh3D & | maskedMesh,
|  | std::size_t | elementIndex
| ) |  |
| inline

Definition at line 98 of file rectangular_masked3d.hpp.

## Member Function Documentation

## ◆ getArea()

double plask::RectangularMaskedMesh3D::Element::getArea | ( |  | ) | const
| inline

Returns
  total area of this element

Definition at line 177 of file rectangular_masked3d.hpp.

## ◆ getIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getIndex | ( |  | ) | const
| inline

Returns
  index of this element

Definition at line 164 of file rectangular_masked3d.hpp.

## ◆ getIndex0()

std::size_t plask::RectangularMaskedMesh3D::Element::getIndex0 | ( |  | ) | const
| inline

Returns
  long index of the element

Definition at line 104 of file rectangular_masked3d.hpp.

## ◆ getIndex1()

std::size_t plask::RectangularMaskedMesh3D::Element::getIndex1 | ( |  | ) | const
| inline

Returns
  tran index of the element

Definition at line 107 of file rectangular_masked3d.hpp.

## ◆ getIndex2()

std::size_t plask::RectangularMaskedMesh3D::Element::getIndex2 | ( |  | ) | const
| inline

Returns
  vert index of the element

Definition at line 110 of file rectangular_masked3d.hpp.

## ◆ getLoLoLo()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getLoLoLo | ( |  | ) | const
| inline

Returns
  position of the lower left back corner of this element

Definition at line 204 of file rectangular_masked3d.hpp.

## ◆ getLoLoLoIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getLoLoLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower left back corner of this element

Definition at line 180 of file rectangular_masked3d.hpp.

## ◆ getLoLoUp()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getLoLoUp | ( |  | ) | const
| inline

Returns
  position of the upper left back corner of this element

Definition at line 216 of file rectangular_masked3d.hpp.

## ◆ getLoLoUpIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getLoLoUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper left back corner of this element

Definition at line 192 of file rectangular_masked3d.hpp.

## ◆ getLoUpLo()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getLoUpLo | ( |  | ) | const
| inline

Returns
  position of the lower right back corner of this element

Definition at line 210 of file rectangular_masked3d.hpp.

## ◆ getLoUpLoIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getLoUpLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower right back corner of this element

Definition at line 186 of file rectangular_masked3d.hpp.

## ◆ getLoUpUp()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getLoUpUp | ( |  | ) | const
| inline

Returns
  position of the upper right back corner of this element

Definition at line 222 of file rectangular_masked3d.hpp.

## ◆ getLoUpUpIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getLoUpUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper right back corner of this element

Definition at line 198 of file rectangular_masked3d.hpp.

## ◆ getLower0()

double plask::RectangularMaskedMesh3D::Element::getLower0 | ( |  | ) | const
| inline

Returns
  long coordinate of the back edge of the element

Definition at line 122 of file rectangular_masked3d.hpp.

## ◆ getLower1()

double plask::RectangularMaskedMesh3D::Element::getLower1 | ( |  | ) | const
| inline

Returns
  tran coordinate of the left edge of the element

Definition at line 125 of file rectangular_masked3d.hpp.

## ◆ getLower2()

double plask::RectangularMaskedMesh3D::Element::getLower2 | ( |  | ) | const
| inline

Returns
  vert coordinate of the bottom edge of the element

Definition at line 128 of file rectangular_masked3d.hpp.

## ◆ getLowerIndex0()

std::size_t plask::RectangularMaskedMesh3D::Element::getLowerIndex0 | ( |  | ) | const
| inline

Returns
  long index of the back edge of the element

Definition at line 113 of file rectangular_masked3d.hpp.

## ◆ getLowerIndex1()

std::size_t plask::RectangularMaskedMesh3D::Element::getLowerIndex1 | ( |  | ) | const
| inline

Returns
  tran index of the left edge of the element

Definition at line 116 of file rectangular_masked3d.hpp.

## ◆ getLowerIndex2()

std::size_t plask::RectangularMaskedMesh3D::Element::getLowerIndex2 | ( |  | ) | const
| inline

Returns
  vert index of the bottom edge of the element

Definition at line 119 of file rectangular_masked3d.hpp.

## ◆ getMidpoint()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getMidpoint | ( |  | ) | const
| inline

Returns
  position of the middle of the element

Definition at line 161 of file rectangular_masked3d.hpp.

## ◆ getSize()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getSize | ( |  | ) | const
| inline

Returns
  vector indicating size of the element

Definition at line 158 of file rectangular_masked3d.hpp.

## ◆ getSize0()

double plask::RectangularMaskedMesh3D::Element::getSize0 | ( |  | ) | const
| inline

Returns
  size of the element in the long direction

Definition at line 149 of file rectangular_masked3d.hpp.

## ◆ getSize1()

double plask::RectangularMaskedMesh3D::Element::getSize1 | ( |  | ) | const
| inline

Returns
  size of the element in the tran direction

Definition at line 152 of file rectangular_masked3d.hpp.

## ◆ getSize2()

double plask::RectangularMaskedMesh3D::Element::getSize2 | ( |  | ) | const
| inline

Returns
  size of the element in the vert direction

Definition at line 155 of file rectangular_masked3d.hpp.

## ◆ getUpLoLo()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getUpLoLo | ( |  | ) | const
| inline

Returns
  position of the lower left front corner of this element

Definition at line 207 of file rectangular_masked3d.hpp.

## ◆ getUpLoLoIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpLoLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower left front corner of this element

Definition at line 183 of file rectangular_masked3d.hpp.

## ◆ getUpLoUp()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getUpLoUp | ( |  | ) | const
| inline

Returns
  position of the upper left front corner of this element

Definition at line 219 of file rectangular_masked3d.hpp.

## ◆ getUpLoUpIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpLoUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper left front corner of this element

Definition at line 195 of file rectangular_masked3d.hpp.

## ◆ getUpper0()

double plask::RectangularMaskedMesh3D::Element::getUpper0 | ( |  | ) | const
| inline

Returns
  long coordinate of the front edge of the element

Definition at line 140 of file rectangular_masked3d.hpp.

## ◆ getUpper1()

double plask::RectangularMaskedMesh3D::Element::getUpper1 | ( |  | ) | const
| inline

Returns
  tran coordinate of the right edge of the element

Definition at line 143 of file rectangular_masked3d.hpp.

## ◆ getUpper2()

double plask::RectangularMaskedMesh3D::Element::getUpper2 | ( |  | ) | const
| inline

Returns
  vert coordinate of the top edge of the element

Definition at line 146 of file rectangular_masked3d.hpp.

## ◆ getUpperIndex0()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpperIndex0 | ( |  | ) | const
| inline

Returns
  long index of the front edge of the element

Definition at line 131 of file rectangular_masked3d.hpp.

## ◆ getUpperIndex1()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpperIndex1 | ( |  | ) | const
| inline

Returns
  tran index of the right edge of the element

Definition at line 134 of file rectangular_masked3d.hpp.

## ◆ getUpperIndex2()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpperIndex2 | ( |  | ) | const
| inline

Returns
  vert index of the top edge of the element

Definition at line 137 of file rectangular_masked3d.hpp.

## ◆ getUpUpLo()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getUpUpLo | ( |  | ) | const
| inline

Returns
  position of the lower right front corner of this element

Definition at line 213 of file rectangular_masked3d.hpp.

## ◆ getUpUpLoIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpUpLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower right front corner of this element

Definition at line 189 of file rectangular_masked3d.hpp.

## ◆ getUpUpUp()

Vec< 3, double > plask::RectangularMaskedMesh3D::Element::getUpUpUp | ( |  | ) | const
| inline

Returns
  position of the upper right front corner of this element

Definition at line 225 of file rectangular_masked3d.hpp.

## ◆ getUpUpUpIndex()

std::size_t plask::RectangularMaskedMesh3D::Element::getUpUpUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper right front corner of this element

Definition at line 201 of file rectangular_masked3d.hpp.

## ◆ getVolume()

double plask::RectangularMaskedMesh3D::Element::getVolume | ( |  | ) | const
| inline

Returns
  total area of this element

Definition at line 174 of file rectangular_masked3d.hpp.

## ◆ toBox()

Box3D plask::RectangularMaskedMesh3D::Element::toBox | ( |  | ) | const
| inline

Returns
  this element as rectangular box

Definition at line 171 of file rectangular_masked3d.hpp.

The documentation for this class was generated from the following file:

- plask/mesh/rectangular_masked3d.hpp